Page MenuHomePhabricator

Prod: Bad Request (400) on testwiki test models
Closed, ResolvedPublic

Description

https://ores.wikimedia.org/scores/testwiki/goodfaith/?model_info=test_stats&format=json sometimes returns:

{"error": {"code": "bad request", "message": "Model 'goodfaith' not available for testwiki."}}

sometimes.

Mostly we've gotten this from MediaWiki-Vagrant (PHP->ORES requests), but I just reproduced it by directly hitting that URL in the browser.

See T157790: On beta cluster, ORESFetchScoreJob got a HTTP 400 bad request from ores-beta

Details

Related Gerrit Patches:
mediawiki/services/ores/deploy : masterAdd scb2005 and scb2006

Event Timeline

Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptApr 25 2017, 2:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Ladsgroup In case we want to look in the future, where are the logs for this?

Mattflaschen-WMF renamed this task from Bad Request (400) on testwiki test models to Prod: Bad Request (400) on testwiki test models.Apr 26 2017, 8:04 PM
Mattflaschen-WMF updated the task description. (Show Details)

You can find logs in logstash (for the service). My guess is that one of the nodes doesn't have the updated version (or varnish is not happy) but that's just one guess.

Halfak added a subscriber: Halfak.Apr 27 2017, 2:48 PM

I think this is very closely related to T163950: Investigate failed deploy to CODFW and it might actually be addressed now by switching to EQIAD rather than CODFW.

Change 350575 had a related patch set uploaded (by Ladsgroup; owner: amir):
[mediawiki/services/ores/deploy@master] Add scb2005 and scb2006

https://gerrit.wikimedia.org/r/350575

Change 350575 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] Add scb2005 and scb2006

https://gerrit.wikimedia.org/r/350575

Halfak closed this task as Resolved.Jun 5 2017, 5:07 PM
Halfak claimed this task.